summaryrefslogtreecommitdiff
path: root/tests/mv/partition-perm
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2009-08-30 01:27:45 +0100
committerPádraig Brady <P@draigBrady.com>2009-08-30 10:58:13 +0100
commit56300b1dc28f4acef88821364419933459d931f6 (patch)
tree7431d394b59717842cbb8e3617705428849134db /tests/mv/partition-perm
parent0a859a6cb0000f3662f1b06c151d80e1d764f983 (diff)
downloadcoreutils-56300b1dc28f4acef88821364419933459d931f6.tar.xz
tests: don't misbehave if $TMPDIR contains spaces
* tests/misc/xattr: Add quotes. * tests/mv/acl: Likewise. * tests/mv/backup-is-src: Likewise. * tests/mv/hard-link-1: Likewise. * tests/mv/leak-fd: Likewise. * tests/mv/mv-special-1: Likewise. * tests/mv/part-fail: Likewise. * tests/mv/part-hardlink: Likewise. * tests/mv/part-rename: Likewise. * tests/mv/part-symlink: Likewise. * tests/mv/partition-perm: Likewise. * tests/mv/sticky-to-xpart: Likewise.
Diffstat (limited to 'tests/mv/partition-perm')
-rwxr-xr-xtests/mv/partition-perm6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/mv/partition-perm b/tests/mv/partition-perm
index ee7d6a9a2..41a193cc2 100755
--- a/tests/mv/partition-perm
+++ b/tests/mv/partition-perm
@@ -29,14 +29,14 @@ cleanup_() { rm -rf "$other_partition_tmpdir"; }
chmod a=rwx file
umask 077
-mv file $other_partition_tmpdir
+mv file "$other_partition_tmpdir"
fail=0
test -f file && fail=1
-test -f $other_partition_tmpdir/file || fail=1
+test -f "$other_partition_tmpdir/file" || fail=1
# This would have failed with the mv from fileutils-4.0i.
-mode=`ls -l $other_partition_tmpdir/file|cut -b-10`
+mode=`ls -l "$other_partition_tmpdir/file" | cut -b-10`
test "$mode" = "-rwxrwxrwx" || fail=1
Exit $fail